CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
booster::detail::sp_counted_impl_p< X > Class Template Reference
Inheritance diagram for booster::detail::sp_counted_impl_p< X >:

## Public Member Functions
| sp_counted_impl_p (X *px)
virtual void | dispose ()
virtual void * | get_deleter (detail::sp_typeinfo const &)
void * | operator new (std::size_t)
void | operator delete (void *p)
Public Member Functions inherited from booster::detail::sp_counted_base
virtual void | destroy ()
void | add_ref_copy ()
bool | add_ref_lock ()
void | release ()
void | weak_add_ref ()
void | weak_release ()
long | use_count () const

The documentation for this class was generated from the following file:

- booster/smart_ptr/sp_counted_impl.h